### Function

# Gimp Selection get_by_id

#### Declaration [src]

    GimpSelection*
    gimp_selection_get_by_id (
      gint32 selection_id
    )

#### Description [src]

Returns a `GimpSelection` representing `selection_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is selection or `NULL` otherwise.

Available since: | 3.0

#### Parameters

`selection_id` | `gint32`
| The selection id.

#### Return value

Returns: | `GimpSelection`
| A `GimpSelection` for `selection_id` or `NULL` if `selection_id` does not represent a valid selection. The object belongs to libgimp and you must not modify or unref it.
| The data is owned by the called function.
| The return value can be `NULL`.